/*
 *  main.cpp
 *  Insaniac
 *
 *  Created by Adam Somers on 12/5/09.
 *  Copyright 2009 __MyCompanyName__. All rights reserved.
 *
 */

#include "main.h"

#include "AudioServer.h"
#include "ParameterAPI.h"
#include "Parameters.h"

#include "insaniac.h"
//#include "GLStuff.h"

int main(int argc, const char** argv)
{   
   
   ParameterManager::GetInstance()->AddParameter(new Parameter(kSizeMinParamId, "Size Min"));
   ParameterManager::GetInstance()->AddParameter(new Parameter(kSizeMaxParamId, "Size Max"));
   ParameterManager::GetInstance()->AddParameter(new Parameter(kPitchMinParamId, "Pitch Min"));
   ParameterManager::GetInstance()->AddParameter(new Parameter(kPitchMaxParamId, "Pitch Max"));
   ParameterManager::GetInstance()->AddParameter(new Parameter(kDensityParamId, "Density"));
   RtAudioDriver driver;    // init rtaudio   
   Insaniac::GetInstance(); // init insaniac
   GLStuff::GLStartup(argc, argv);
   std::cout << "byebye!\n";
   return 0;
}